# TutorialEntryEntity class Null safety

## Constructors

TutorialEntryEntity({String? description, String? imageId, String? code})

## Properties

code → String?
  final
description → String?
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
imageId → String?
  final
props → List<Object?>
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

copyWith({String? documentID, String? description, String? imageId, String? code}) → TutorialEntryEntity
enrichedDocument(Map<String, Object?> theDocument) → dynamic
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed. [...]
  inherited
switchAppId({required String newAppId}) → TutorialEntryEntity
  override
toDocument() → Map<String, Object?>
  override
toJsonString() → String
toString() → String
  A string representation of this object. [...]
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Methods

fromJsonString(String json, {Map<String, String>? newDocumentIds}) → TutorialEntryEntity?
fromMap(Object? o, {Map<String, String>? newDocumentIds}) → TutorialEntryEntity?